org.apache.jmeter.extractor.json.jmespath

## Class JMESPathCache

- java.lang.Object
- - org.apache.jmeter.extractor.json.jmespath.JMESPathCache

-     public class JMESPathCache
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanUp()`
    `io.burt.jmespath.Expression<com.fasterxml.jackson.databind.JsonNode>` | `get(String key)`
    `static JMESPathCache` | `getInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static JMESPathCache getInstance()

      Returns:
        ScriptEngineManager singleton

    - #### get

          public io.burt.jmespath.Expression<com.fasterxml.jackson.databind.JsonNode> get(String key)

    - #### cleanUp

          public void cleanUp()

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.